# Visualization
TKV3d
PrsMgr

# PrsMgr_Presentation3d Class Reference

`#include <PrsMgr_Presentation3d.hxx>`

Inheritance diagram for PrsMgr_Presentation3d:

[legend]

## Public Member Functions

Standard_EXPORT PrsMgr_KindOfPrs | KindOfPresentation () const
| 2D or 3D
Standard_EXPORT Handle_Prs3d_Presentation | Presentation () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Member Functions

Standard_EXPORT | PrsMgr_Presentation3d (const Handle(PrsMgr_PresentationManager3d)&aPresentationManager, const Handle(PrsMgr_PresentableObject)&aPresentableObject)
Standard_EXPORT void | Display ()
Standard_EXPORT void | Erase () const
Standard_EXPORT void | Highlight ()
Standard_EXPORT void | Unhighlight () const
Standard_EXPORT Standard_Boolean | IsDisplayed () const
Standard_EXPORT Standard_Boolean | IsHighlighted () const
Standard_EXPORT Standard_Integer | DisplayPriority () const
Standard_EXPORT void | SetDisplayPriority (const Standard_Integer aNewPrior)
Standard_EXPORT void | Clear ()
| removes the whole content of the presentation. Does not remove the other connected presentations.
Standard_EXPORT void | Color (const Quantity_NameOfColor aColor)
Standard_EXPORT void | BoundBox () const
Standard_EXPORT void | Connect (const Handle(PrsMgr_Presentation3d)&anOtherPresentation) const
Standard_EXPORT void | Transform (const Handle(Geom_Transformation)&aTransformation) const
Standard_EXPORT void | Place (const Quantity_Length X, const Quantity_Length Y, const Quantity_Length Z) const
Standard_EXPORT void | Multiply (const Handle(Geom_Transformation)&aTransformation) const
Standard_EXPORT void | Move (const Quantity_Length X, const Quantity_Length Y, const Quantity_Length Z) const
Standard_EXPORT void | SetShadingAspect (const Handle(Prs3d_ShadingAspect)&aShadingAspect) const
Standard_EXPORT Handle_Graphic3d_Structure | Compute (const Handle(Graphic3d_DataStructureManager)&aProjector)
Standard_EXPORT Handle_Graphic3d_Structure | Compute (const Handle(Graphic3d_DataStructureManager)&aProjector, const Handle(Geom_Transformation)&TheTrsf)
Standard_EXPORT void | Compute (const Handle(Graphic3d_DataStructureManager)&aProjector, const Handle(Graphic3d_Structure)&aGivenStruct)
Standard_EXPORT void | Compute (const Handle(Graphic3d_DataStructureManager)&aProjector, const Handle(Geom_Transformation)&TheTrsf, const Handle(Graphic3d_Structure)&aGivenStruct)

## Static Private Member Functions

static Standard_EXPORT Handle_Prs3d_Projector | Projector (const Handle(Graphic3d_DataStructureManager)&aProjector)

## Private Attributes

Handle_PrsMgr_Prs | myStructure
Standard_Boolean | myDisplayReason
PrsMgr_PresentableObjectPointer | myPresentableObject

## Constructor & Destructor Documentation

Standard_EXPORT PrsMgr_Presentation3d::PrsMgr_Presentation3d | ( | const Handle(PrsMgr_PresentationManager3d)& | aPresentationManager,
|  | const Handle(PrsMgr_PresentableObject)& | aPresentableObject
| ) | `[private]`

## Member Function Documentation

Standard_EXPORT void PrsMgr_Presentation3d::BoundBox | ( |  | ) | const`[private]`

Standard_EXPORT void PrsMgr_Presentation3d::Clear | ( |  | ) | `[private, virtual]`

| Implements PrsMgr_Presentation.

Standard_EXPORT void PrsMgr_Presentation3d::Color | ( | const Quantity_NameOfColor | aColor | ) | `[private]`

Standard_EXPORT void PrsMgr_Presentation3d::Compute | ( | const Handle(Graphic3d_DataStructureManager)& | aProjector,
|  | const Handle(Geom_Transformation)& | TheTrsf,
|  | const Handle(Graphic3d_Structure)& | aGivenStruct
| ) | `[private]`

Standard_EXPORT void PrsMgr_Presentation3d::Compute | ( | const Handle(Graphic3d_DataStructureManager)& | aProjector,
|  | const Handle(Graphic3d_Structure)& | aGivenStruct
| ) | `[private]`

Standard_EXPORT Handle_Graphic3d_Structure PrsMgr_Presentation3d::Compute | ( | const Handle(Graphic3d_DataStructureManager)& | aProjector,
|  | const Handle(Geom_Transformation)& | TheTrsf
| ) | `[private]`

Standard_EXPORT Handle_Graphic3d_Structure PrsMgr_Presentation3d::Compute | ( | const Handle(Graphic3d_DataStructureManager)& | aProjector | ) | `[private]`

Standard_EXPORT void PrsMgr_Presentation3d::Connect | ( | const Handle(PrsMgr_Presentation3d)& | anOtherPresentation | ) | const`[private]`

Standard_EXPORT void PrsMgr_Presentation3d::Display | ( |  | ) | `[private, virtual]`

| Implements PrsMgr_Presentation.

Standard_EXPORT Standard_Integer PrsMgr_Presentation3d::DisplayPriority | ( |  | ) | const`[private, virtual]`

| Implements PrsMgr_Presentation.

Standard_EXPORT void PrsMgr_Presentation3d::Erase | ( |  | ) | const`[private, virtual]`

| Implements PrsMgr_Presentation.

Standard_EXPORT const PrsMgr_Presentation3d::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from PrsMgr_Presentation.

Standard_EXPORT void PrsMgr_Presentation3d::Highlight | ( |  | ) | `[private, virtual]`

| Implements PrsMgr_Presentation.

Standard_EXPORT Standard_Boolean PrsMgr_Presentation3d::IsDisplayed | ( |  | ) | const`[private, virtual]`

| Implements PrsMgr_Presentation.

Standard_EXPORT Standard_Boolean PrsMgr_Presentation3d::IsHighlighted | ( |  | ) | const`[private, virtual]`

| Implements PrsMgr_Presentation.

Standard_EXPORT PrsMgr_KindOfPrs PrsMgr_Presentation3d::KindOfPresentation | ( |  | ) | const`[virtual]`

| Implements PrsMgr_Presentation.

Standard_EXPORT void PrsMgr_Presentation3d::Move | ( | const Quantity_Length | X,
|  | const Quantity_Length | Y,
|  | const Quantity_Length | Z
| ) | const`[private]`

Standard_EXPORT void PrsMgr_Presentation3d::Multiply | ( | const Handle(Geom_Transformation)& | aTransformation | ) | const`[private]`

Standard_EXPORT void PrsMgr_Presentation3d::Place | ( | const Quantity_Length | X,
|  | const Quantity_Length | Y,
|  | const Quantity_Length | Z
| ) | const`[private]`

Standard_EXPORT Handle_Prs3d_Presentation PrsMgr_Presentation3d::Presentation | ( |  | ) | const

static Standard_EXPORT Handle_Prs3d_Projector PrsMgr_Presentation3d::Projector | ( | const Handle(Graphic3d_DataStructureManager)& | aProjector | ) | `[static, private]`

Standard_EXPORT void PrsMgr_Presentation3d::SetDisplayPriority | ( | const Standard_Integer | aNewPrior | ) | `[private, virtual]`

| Implements PrsMgr_Presentation.

Standard_EXPORT void PrsMgr_Presentation3d::SetShadingAspect | ( | const Handle(Prs3d_ShadingAspect)& | aShadingAspect | ) | const`[private]`

Standard_EXPORT void PrsMgr_Presentation3d::Transform | ( | const Handle(Geom_Transformation)& | aTransformation | ) | const`[private]`

Standard_EXPORT void PrsMgr_Presentation3d::Unhighlight | ( |  | ) | const`[private, virtual]`

| Implements PrsMgr_Presentation.

## Field Documentation

Standard_Boolean PrsMgr_Presentation3d::myDisplayReason `[private]`

PrsMgr_PresentableObjectPointer PrsMgr_Presentation3d::myPresentableObject `[private]`

Handle_PrsMgr_Prs PrsMgr_Presentation3d::myStructure `[private]`

The documentation for this class was generated from the following file:

- PrsMgr_Presentation3d.hxx